Get all of the available departments that can be added to a user given a site_template that is added to the user

GET /users/site-template/availableDepartments

Operation id: SiteTemplateService_ListAvailableDepartmentsBySiteTemplate

Tags: SiteTemplateService

Parameters

Query parameters

NameTypeRequiredDescription
siteTemplateIdstringNoId of the site_template. Required: true
tenantIdstringNoTenantId of the site. Required: false (False as this can be inferred from the token)

Security

  • Authorization (apiKey)
    • Bearer token

Responses

200 — A successful response.

Content type: application/json

default — An unexpected error response.

Content type: application/json

Response models

200 — A successful response.

Content type: application/json

Schema

PropertyTypeRequiredDescription
availableDepartmentsarrayNo
{
  "type": "object",
  "properties": {
    "availableDepartments": {
      "type": "array",
      "items": {
        "type": "object",
        "properties": {
          "tenantId": {
            "type": "string"
          },
          "name": {
            "type": "string"
          },
          "displayName": {
            "type": "string"
          }
        }
      }
    }
  }
}

default — An unexpected error response.

Content type: application/json

Schema

PropertyTypeRequiredDescription
codeinteger (int32)No
messagestringNo
detailsarrayNo
{
  "type": "object",
  "properties": {
    "code": {
      "type": "integer",
      "format": "int32"
    },
    "message": {
      "type": "string"
    },
    "details": {
      "type": "array",
      "items": {
        "type": "object",
        "properties": {
          "@type": {
            "type": "string"
          }
        }
      }
    }
  }
}